/*
 * image.h
 *
 * (C)2000 Jordan DeLong & Dan Potter
 * For copying information, please see main.c
 */

#ifndef _IMAGE_H_
#define _IMAGE_H_

/* "Source dump" format */
typedef struct {
	unsigned int	width, height;
	unsigned short	*pixel_data;
} Image;

Image *load_pcx(unsigned char *fn);
char *load_misc(char *fn);

void cpyrect(int width, int height, unsigned short *img, unsigned short *vptr);
void putimage(int xpos, int ypos, Image *img, unsigned short *vptr);
void eraseimage(int xpos, int ypos, Image *img, unsigned short *vptr);
void putimagetrans(int xpos, int ypos, Image *img, unsigned short *vptr);
void putalphashadow(int xpos, int ypos, Image *img, unsigned short *vptr, unsigned char alpha);

#endif
